{config, lib, pkgs, ...} :
with lib;
{
  programs.vscode = mkIf ( !config.home.isolation.active ) {
    enable = true;
    package = pkgs.vscodium;
    haskell = {
      enable = true;
      hie.enable = false;
    };
    mutableExtensionsDir = false;
    extensions = (with pkgs.vscode-extensions; [
      bbenoist.nix
      ms-toolsai.jupyter
      ms-vscode.cpptools
    ]) ++ (with pkgs.local.vscode-extensions; [
      laurenttreguier.vscode-simple-icons
      rust-lang.rust
      sirtori.indenticator
      toasty-technologies.octave
      Gimly81.matlab
      zhwu95.riscv
      tomoki1207.pdf
    ]);
    userSettings = {
      "files.autoSave" = "onFocusChange";
      "explorer.confirmDelete" = false;
      "explorer.confirmDragAndDrop" = false;
      "security.workspace.trust.enabled" = false;
      "workbench.startupEditor" = "none";
      "workbench.colorTheme" = "Default High Contrast";
      "editor.mouseWheelZoom" = true;
      "editor.cursorSmoothCaretAnimation" = true;
      "workbench.list.smoothScrolling" = true;
      "editor.smoothScrolling" = true;
      "editor.rulers" = [80 120];
      "workbench.iconTheme" = "simple-icons";
      "workbench.editor.untitled.hint" = "hidden";
      "editor.autoClosingDelete" = "never";
      "editor.autoClosingOvertype" = "never";
      "editor.autoClosingBrackets" = "never";
      "editor.autoClosingQuotes" = "never";
    };
  };
}
